Debian Bug report logs - #658341
upload of multi-arch enabled dpkg (in time for wheezy)

Package: tech-ctte; Maintainer for tech-ctte is Technical Committee <debian-ctte@lists.debian.org>;

Reported by: Stefano Zacchiroli <leader@debian.org>

Date: Thu, 2 Feb 2012 09:12:02 UTC

Severity: serious

Done: Don Armstrong <don@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-dpkg@lists.debian.org, hertzog@debian.org, guillem@debian.org, leader@debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Thu, 02 Feb 2012 09:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
New Bug report received and forwarded. Copy sent to debian-dpkg@lists.debian.org, hertzog@debian.org, guillem@debian.org, leader@debian.org, Technical Committee <debian-ctte@lists.debian.org>. (Thu, 02 Feb 2012 09:12:22 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: submit@bugs.debian.org
Subject: upload of multi-arch enabled dpkg (in time for wheezy)
Date: Thu, 2 Feb 2012 10:08:13 +0100
[Message part 1 (text/plain, inline)]
Package: tech-ctte
Severity: serious

Dear members of the Technical Committee,
  I hereby submit to your attention the "dpkg multi-arch conflict".
I believe the issue is well-known, so I describe it only briefly below;
feel free to ask if you need more information.


A multi-arch [1] enabled version of dpkg has been available for quite a
while. Its inclusion in the archive has been one of the early Wheezy
release goals. Since many months now, the upload of such a version of
dpkg has been held back due to repeated NACK-s by one of the dpkg
co-maintainers (Guillem Jover, Cc-ed), based on his desire to do a full
code review of the multi-arch implementation, which has written by the
other dpkg co-maintainer (Raphael Hertzog, Cc-ed as well).

[1] http://wiki.debian.org/ReleaseGoals/MultiArch

The desire to do a full code review is good, but Guillem doesn't seem to
be able to complete the review in a reasonable time frame. Since many
months now, the delay of the upload is a cause of worry for the release
team [2] and other project members. The situation has escalated to the
point that another developer (Cyril Brulebois) has done a dpkg NMU a
couple of days ago [3]; the NMU has been promptly reverted by Guillem
[4].

[2] http://lists.debian.org/debian-dpkg/2011/10/msg00050.html
[3] http://lists.debian.org/debian-dpkg/2012/01/msg00049.html
[4] http://lists.debian.org/debian-dpkg/2012/02/msg00000.html


As DPL, I'm worried about two aspects of this issue:

a) The risk of legitimating the fact that by not acting a developer can
   block indefinitely the work of other developers (and possibly of the
   entire project when working on a rather far reaching release goal);
   I've elaborated more on this subject 3 months ago in [5].

   [5] http://lists.debian.org/debian-dpkg/2011/10/msg00060.html

b) The risk of a negative impact on project morale if---due to the
   reason above rather than a legitimate technical reason---we will miss
   the Wheezy multi-arch release goal.


I therefore bring before you the issue of whether:

- one of the dpkg co-maintainers has the right to block indefinitely a
  dpkg upload, in wait of full code review of the multi-arch code;

- or rather if the other co-maintainer has the right to override his
  NACKs and go ahead with uploads that would allow project-wide testing
  of the dpkg multi-arch implementation.


Many thanks in advance for your help,
Cheers.


PS I've to point out that timing on this issue is, unfortunately,
   critical. The Wheezy freeze is close and according to the release
   team we're already late wrt the ideal upload date for dpkg. The delay
   is not tech-ctte's fault, of course, but please understand that a
   long decision time on your part would be a de facto decision. I'd
   appreciate if you could reach a decision on this in a timely manner.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Thu, 02 Feb 2012 15:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 02 Feb 2012 15:18:07 GMT) Full text and rfc822 format available.

Message #10 received at 658341@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Stefano Zacchiroli <leader@debian.org>, 658341@bugs.debian.org
Subject: Call for Vote: upload of multi-arch enabled dpkg (in time for wheezy)
Date: Thu, 02 Feb 2012 08:16:34 -0700
[Message part 1 (text/plain, inline)]
On Thu, 2 Feb 2012 10:08:13 +0100, Stefano Zacchiroli <leader@debian.org> wrote:
> I hereby submit to your attention the "dpkg multi-arch conflict".
> I believe the issue is well-known, so I describe it only briefly
> below;

I also believe we've had sufficient discussion about this issue, and I
therefore call for an immediate vote on the following ballot.  My thanks
to Russ Allbery for help drafting the text.

A. While recognizing the substantial benefits of thorough code review, the
   Technical Committee believes the goal of multiarch support in the
   Debian wheezy release is sufficiently important as to warrant accepting
   the current draft implementation into the archive, even if code review
   by the primary dpkg C maintainer cannot be completed in time.  However,
   as much review as possible is strongly desired.

   The Technical Committee therefore overrides the decision of the dpkg
   maintainer to require complete code review before upload of the
   multiarch implementation in dpkg to the Debian archive and sets the
   following upload dates:

   February 6th: upload to experimental for general testing
   February 20th: upload to unstable

   For each of those deadlines, if no implementation of dpkg with
   multiarch support has been uploaded to the archive for that
   distribution by that date, Raphaël Hertzog is empowered by the
   Technical Committee to upload a version of dpkg with multiarch support
   to that distribution.  The upload may be done on or after that date,
   when, in his judgement, the dpkg implementation meets the quality
   standards expected for a Debian core package in those archive
   distributions.

   The Technical Committee strongly encourages anyone with the required
   knowledge to review the multiarch implementation proposed for upload
   and provide the results of that review to the debian-dpkg list as soon
   as possible so that the code can receive as much review as possible and
   the results of that review can be incorporated into the code by those
   dates.  Similarly, the Technical Committee encourages as broad testing
   and review of the experimental implementation as possible so that as
   many bugs as possible can be resolved prior to uploading it to
   unstable.

   This option requires a 3:1 majority.

B. The Technical Committee declines to override the decision of the dpkg
   maintainer to hold the dpkg multiarch implementation until he can
   finish code review.

C. Further discussion.


Regards,

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Thu, 02 Feb 2012 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 02 Feb 2012 15:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 658341@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Stefano Zacchiroli <leader@debian.org>, 658341@bugs.debian.org
Subject: Re: Call for Vote: upload of multi-arch enabled dpkg (in time for wheezy)
Date: Thu, 02 Feb 2012 08:20:05 -0700
[Message part 1 (text/plain, inline)]
On Thu, 02 Feb 2012 08:16:34 -0700, Bdale Garbee <bdale@gag.com> wrote:
> I also believe we've had sufficient discussion about this issue, and I
> therefore call for an immediate vote on the following ballot.

And my vote is ACB.

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Thu, 02 Feb 2012 15:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 02 Feb 2012 15:39:05 GMT) Full text and rfc822 format available.

Message #20 received at 658341@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 658341@bugs.debian.org
Subject: Re: Bug#658341: Call for Vote: upload of multi-arch enabled dpkg (in time for wheezy)
Date: Thu, 2 Feb 2012 15:35:08 +0000
Bdale Garbee writes ("Bug#658341: Call for Vote: upload of multi-arch enabled dpkg (in time for wheezy)"):
> A. [...]
>    February 6th: upload to experimental for general testing
>    February 20th: upload to unstable
...
> B. The Technical Committee declines to override the decision of the dpkg
>    maintainer to hold the dpkg multiarch implementation until he can
>    finish code review.
> 
> C. Further discussion.

I vote: A,C,B.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Thu, 02 Feb 2012 16:09:05 GMT) Full text and rfc822 format available.

Message #23 received at 658341@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: debian-ctte@lists.debian.org
Subject: Re: Bug#658341: upload of multi-arch enabled dpkg (in time for wheezy)
Date: Thu, 2 Feb 2012 16:59:53 +0100
On Thu, 2012-02-02 at 10:08:13 +0100, Stefano Zacchiroli wrote:
>   I hereby submit to your attention the "dpkg multi-arch conflict".
> I believe the issue is well-known, so I describe it only briefly below;
> feel free to ask if you need more information.

*Siiiiiiiiiight*...

> A multi-arch [1] enabled version of dpkg has been available for quite a
> while. Its inclusion in the archive has been one of the early Wheezy
> release goals. Since many months now, the upload of such a version of
> dpkg has been held back due to repeated NACK-s by one of the dpkg
> co-maintainers (Guillem Jover, Cc-ed), based on his desire to do a full
> code review of the multi-arch implementation, which has written by the
> other dpkg co-maintainer (Raphael Hertzog, Cc-ed as well).
> 
> [1] http://wiki.debian.org/ReleaseGoals/MultiArch
> 
> The desire to do a full code review is good, but Guillem doesn't seem to
> be able to complete the review in a reasonable time frame.

Obviously part of this delay is my fault as the active blocking agent,
the one maintaining its C code base, but the trigger has been internal
working style discrepancies between Raphaël and me, which we have
discussed privately several times, and for which I don't feel it's
appropriate to talk about here, at this time.

> Since many months now, the delay of the upload is a cause of worry for
> the release team [2] and other project members. The situation has
> escalated to the point that another developer (Cyril Brulebois) has
> done a dpkg NMU a couple of days ago [3]; the NMU has been promptly
> reverted by Guillem [4].

I found Cyril's attitude, and one of the release-team mails to be
extremely annoying, coming up with demands and threats, instead of
possible disscussion and proposals. I think I might have been amenable
to a possible upload to experimental, if approached reasonably, which
I don't remember anyone doing at any point? if for example explicit and
clear notice would have been given about the implementation to possibly
still change before an upload to unstable.

During all this time, people has been saying how the code base was fine
and ready for mergeing, and trying to rush things out, but I've not seen
any of those people do any kind of code review at *all*? when it has been
demonstrated subsequently that the code had issues, bugs and more
importantly at that design ones. Obviously that those reviews would have
been more useful than the continuous complains, would only depend on their
quality, but I'd expect them to be way more useful in any possible way.

> As DPL, I'm worried about two aspects of this issue:
> 
> a) The risk of legitimating the fact that by not acting a developer can
>    block indefinitely the work of other developers (and possibly of the
>    entire project when working on a rather far reaching release goal);
>    I've elaborated more on this subject 3 months ago in [5].
> 
>    [5] http://lists.debian.org/debian-dpkg/2011/10/msg00060.html

Not acting!? I can accept not acting fast enough as people might like,
but not the former. I hate to have to do this, and to be honest I find
it petty, but my acting can be seen here, obviously not all related to
multi-arch, but quite many have been, just not in an obvious way:

  <http://dpkg.alioth.debian.org/stats/>

In any case I disagree with most of what is written on that mail, and
it's one of the reasons that has made me sad about the direction Debian
is taking.

> b) The risk of a negative impact on project morale if---due to the
>    reason above rather than a legitimate technical reason---we will miss
>    the Wheezy multi-arch release goal.

Er, wow, I thought it was clear enough, given my review findings that
there's technical reasons why the branch was and is not ok...

In any case a multi-arch enabled dpkg will not miss wheezy. But I have
kept finding extremely annoying, demotivating and a drain of fun at
various times when working on Debian for the past last year or so...

regards,
guillem


-- 
To UNSUBSCRIBE, email to debian-ctte-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: http://lists.debian.org/20120202155953.GA23911@gaara.hadrons.org





Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Thu, 02 Feb 2012 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 02 Feb 2012 16:57:03 GMT) Full text and rfc822 format available.

Message #28 received at 658341@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Guillem Jover <guillem@debian.org>, 658341@bugs.debian.org
Subject: Re: Bug#658341: upload of multi-arch enabled dpkg (in time for wheezy)
Date: Thu, 2 Feb 2012 17:52:14 +0100
On Thu, 02 Feb 2012, Guillem Jover wrote:
> Obviously part of this delay is my fault as the active blocking agent,
> the one maintaining its C code base, but the trigger has been internal
> working style discrepancies between Raphaël and me, which we have
> discussed privately several times, and for which I don't feel it's
> appropriate to talk about here, at this time.

I leave this up to you, but I would love to see this resolved, too.

The fact that you put yourself as "the one maintaining its C code base"
does not leave much room for anyone else to help you in this task. While
I can understand that the "working style discrepancies" do not motivate
you to train me... but right now there's nobody else willing to work on
the C codebase and the few persons who tried in the past ended up moving
away due to lack of guidance from the dpkg side.

And this is worrying because you can't scale any further.

> I found Cyril's attitude, and one of the release-team mails to be
> extremely annoying, coming up with demands and threats, instead of
> possible disscussion and proposals.

If you were replying (in a timely manner) to (difficult) mails instead of
just ignoring them, then we could have constructive discussions and
proposals.

> I think I might have been amenable to a possible upload to experimental,
> if approached reasonably, which I don't remember anyone doing at any
> point?

I have certainly suggested you to make an upload to experimental to let
people test while you were continuning your review. On IRC while you
were still there but also by mail, for example here:
http://lists.debian.org/debian-dpkg/2011/09/msg00006.html

It was also in the original draft for the d-d-a mail:
“The next version (1.16.2) will be the one introducing
multiarch support and shall be uploaded to experimental in the
hopefully not-too-distant future.”

... which you changed into (highlight mine):
“The next version (1.16.2) _should_ be the one introducing
multiarch support and _will probably_ be uploaded to experimental in the
hopefully not-too-distant future.”

It's also roughly the plan that I announced in
http://lists.debian.org/debian-dpkg/2011/10/msg00052.html and that
you NACKed.

And I don't count the number of times where people (me included) have
requested a "plan/schedule" from you. A proper answer from your part could
well have been, “I don't know exactly but maybe we can do an experimental
upload to let early testers play with it provided that I'm still free
to do implementation changes before the unstable release”. That way you
relieve some of the pression that annoy you...

> During all this time, people has been saying how the code base was fine
> and ready for mergeing, and trying to rush things out, but I've not seen
> any of those people do any kind of code review at *all*? when it has been
> demonstrated subsequently that the code had issues, bugs and more
> importantly at that design ones. Obviously that those reviews would have
> been more useful than the continuous complains, would only depend on their
> quality, but I'd expect them to be way more useful in any possible way.

I won't deny that your review improved the codebase and improved the
design. But really none of the issues were real showstoppers that
were intenable and that couldn't be fixed between the merge and
Wheezy's release.

> > a) The risk of legitimating the fact that by not acting a developer can
> >    block indefinitely the work of other developers (and possibly of the
> >    entire project when working on a rather far reaching release goal);
> >    I've elaborated more on this subject 3 months ago in [5].
> > 
> >    [5] http://lists.debian.org/debian-dpkg/2011/10/msg00060.html
> 
> Not acting!? I can accept not acting fast enough as people might like,
> but not the former. I hate to have to do this, and to be honest I find
> it petty, but my acting can be seen here, obviously not all related to
> multi-arch, but quite many have been, just not in an obvious way:

I agree that "not acting" was not really appropriate here.

But the end result is the same. You have not show any willingness to work
towards a more aggressive schedule... even when you had offers of help
from me that you could have leveraged given that your own schedule did not
allow for quicker progress.

> > b) The risk of a negative impact on project morale if---due to the
> >    reason above rather than a legitimate technical reason---we will miss
> >    the Wheezy multi-arch release goal.
> 
> Er, wow, I thought it was clear enough, given my review findings that
> there's technical reasons why the branch was and is not ok...

Can you share the technical reasons why it's still not OK?

Since I wrote most of the code, I would be happy to fix what needs to be
fixed. But you never responded to any of my help offers and you have
never shared the results of your review publicly.

> In any case a multi-arch enabled dpkg will not miss wheezy.

This might be true but for multi-arch to be useful, you need more than
dpkg. You need lots of packages converted and for this Debian developers
must be able to play with multiarch packages. Which they won't be able to
do if it's released 1 month before the freeze.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/liberation/




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Thu, 02 Feb 2012 17:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike O'Connor <stew@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 02 Feb 2012 17:09:07 GMT) Full text and rfc822 format available.

Message #33 received at 658341@bugs.debian.org (full text, mbox):

From: Mike O'Connor <stew@debian.org>
Cc: 658341@bugs.debian.org
Subject: Re: Bug#658341: upload of multi-arch enabled dpkg (in time for wheezy)
Date: Thu, 02 Feb 2012 11:49:41 -0500
[Message part 1 (text/plain, inline)]
On Thu, 2 Feb 2012 16:59:53 +0100, Guillem Jover <guillem@debian.org> wrote:
> In any case a multi-arch enabled dpkg will not miss wheezy.=20

Guillem,

Are you really in a position to declare this?  The release team as
previously said [0] directly to you that they were looking for an upload
in Octoboer in order to ensure this release goal was met.  Forgive me if
I've missed some other discussion about this, but since we are now
months beyond this, are we expecting the freeze date to be moved to
accomodate?  Or has somehting else changed?

stew

[0] http://lists.debian.org/debian-dpkg/2011/10/msg00050.html
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Thu, 02 Feb 2012 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 02 Feb 2012 18:18:03 GMT) Full text and rfc822 format available.

Message #38 received at 658341@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 658341@bugs.debian.org
Subject: Re: Bug#658341: Call for Vote: upload of multi-arch enabled dpkg (in time for wheezy)
Date: Thu, 2 Feb 2012 10:14:40 -0800
[Message part 1 (text/plain, inline)]
On Thu, 02 Feb 2012, Bdale Garbee wrote:
> A. While recognizing the substantial benefits of thorough code review, the

[...]
 
>    This option requires a 3:1 majority.
> 
> B. The Technical Committee declines to override the decision of the dpkg
>    maintainer to hold the dpkg multiarch implementation until he can
>    finish code review.
> 
> C. Further discussion.

I vote A C B.


Don Armstrong

-- 
Of course Pacman didn't influence us as kids. If it did, we'd be
running around in darkened rooms, popping pills and listening to
repetitive music.

http://www.donarmstrong.com              http://rzlab.ucr.edu
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Thu, 02 Feb 2012 18:21:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 02 Feb 2012 18:21:17 GMT) Full text and rfc822 format available.

Message #43 received at 658341@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: Guillem Jover <guillem@debian.org>
Cc: 658341@bugs.debian.org
Subject: Re: Bug#658341: upload of multi-arch enabled dpkg (in time for wheezy)
Date: Thu, 2 Feb 2012 19:19:49 +0100
[Message part 1 (text/plain, inline)]
On Thu, Feb 02, 2012 at 04:59:53PM +0100, Guillem Jover wrote:
> > a) The risk of legitimating the fact that by not acting a developer can
> >    block indefinitely the work of other developers (and possibly of the
> >    entire project when working on a rather far reaching release goal);
> >    I've elaborated more on this subject 3 months ago in [5].
> > 
> >    [5] http://lists.debian.org/debian-dpkg/2011/10/msg00060.html
> 
> Not acting!? I can accept not acting fast enough as people might like,
> but not the former.

Fair enough, you're right, "not acting" is not quite correct in this
case. I apologize for my inappropriate use of that expression.

Your wording is indeed more appropriate, but it's also incomplete. In
Debian nobody could be held responsible for not completing some work in
a given time frame; nor could anybody be forced to work for the Project.
At the same time, the inability to complete some work should not be used
to block the work of others. Let's call this "stalling".

I believe you've been stalling --- with NACKs first and now with an NMU
revert --- the work of a co-maintainer of yours and also of the entire
Project, who is trying to reach a legitimate release goal.

I'm convinced that such an attitude actively harms Debian and as such
should not be tolerated. That's why I've asked for tech-ctte technical
judgement on your decision to postpone the upload in wait of full code
review.

> I hate to have to do this, and to be honest I find it petty, but my
> acting can be seen here, obviously not all related to multi-arch, but
> quite many have been, just not in an obvious way:

FWIW, I do not particularly enjoy all this either; in fact, I hate it.
But given all other attempts have failed, I felt it was needed. And it
was now or never.

Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Thu, 02 Feb 2012 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 02 Feb 2012 20:54:04 GMT) Full text and rfc822 format available.

Message #48 received at 658341@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Stefano Zacchiroli <leader@debian.org>, 658341@bugs.debian.org
Subject: Re: Bug#658341: Call for Vote: upload of multi-arch enabled dpkg (in time for wheezy)
Date: Thu, 02 Feb 2012 12:51:03 -0800
[Message part 1 (text/plain, inline)]
Bdale Garbee <bdale@gag.com> writes:

> I also believe we've had sufficient discussion about this issue, and I
> therefore call for an immediate vote on the following ballot.  My thanks
> to Russ Allbery for help drafting the text.

I vote A, C, B.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Thu, 02 Feb 2012 22:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Marc Dequènes (Duck)" <duck@duckcorp.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Thu, 02 Feb 2012 22:09:09 GMT) Full text and rfc822 format available.

Message #53 received at 658341@bugs.debian.org (full text, mbox):

From: "Marc Dequènes (Duck)" <duck@duckcorp.org>
To: Guillem Jover <guillem@debian.org>
Cc: 658341@bugs.debian.org
Subject: Re: upload of multi-arch enabled dpkg (in time for wheezy)
Date: Thu, 02 Feb 2012 23:05:04 +0100
[Message part 1 (text/plain, inline)]
Coin,

I remember working along with you on Debian/Hurd, and don't have any  
bad souvenirs, so i'm a bit astonished to find you in this situation.

> I found Cyril's attitude, and one of the release-team mails to be
> extremely annoying, coming up with demands and threats, instead of

I heard many times that you didn't communicate much or at all (not to  
speak about public statements i could not see by myself), so i'm not  
surprised after several months people are beginning to be scared about  
the release (especially in the release team) and, maybe, overreacted a  
bit.

>   <http://dpkg.alioth.debian.org/stats/>

I fail to understand why people should read VCS stats or logs to hear  
about your progress, considering the commit count is clearly  
irrelevant and one might not have the knowledge and time to read all  
the stuff. Why didn't you use d-d-a to give news about the project,  
and ask for reviews and help btw?

It really seems to me you didn't trust your fellow developers, which  
is quite sad. If you were not able to work on this with buxy, maybe  
another could have helped you.

> In any case a multi-arch enabled dpkg will not miss wheezy. But I have
> kept finding extremely annoying, demotivating and a drain of fun at
> various times when working on Debian for the past last year or so...

Even with all the code reviews of the world, you can't be sure your  
design will be perfect and will meet future needs. If it happens to be  
a failure, this code can still be deactivated before the release and  
the extra control fields / package reorganization won't hurt.

Now that many probably have installed KiBi's package to have a look,  
you have at your disposal a big bunch of witting guinea pigs and maybe  
several able to proofread the code, so i really really hope you won't  
let us down (despite the disagreement).

And let's have a bear some day :-).

-- 
Marc Dequènes (Duck)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Fri, 03 Feb 2012 18:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Fri, 03 Feb 2012 18:15:06 GMT) Full text and rfc822 format available.

Message #58 received at 658341@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 658341@bugs.debian.org
Subject: Re: Bug#658341: Call for Vote: upload of multi-arch enabled dpkg (in time for wheezy)
Date: Fri, 3 Feb 2012 18:09:52 +0000
[Message part 1 (text/plain, inline)]
On Thu, Feb 02, 2012 at 08:16:34AM -0700, Bdale Garbee wrote:
> I also believe we've had sufficient discussion about this issue, and I
> therefore call for an immediate vote on the following ballot.  My thanks
> to Russ Allbery for help drafting the text.

I vote A C B.

-- 
Colin Watson                                       [cjwatson@debian.org]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Sun, 05 Feb 2012 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 05 Feb 2012 10:15:07 GMT) Full text and rfc822 format available.

Message #63 received at 658341@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: Bdale Garbee <bdale@gag.com>
Cc: Stefano Zacchiroli <leader@debian.org>, 658341@bugs.debian.org
Subject: Re: Call for Vote: upload of multi-arch enabled dpkg (in time for wheezy)
Date: Sun, 5 Feb 2012 10:53:00 +0100
* Andreas Barth (aba@ayous.org) [120205 10:34]:
> * Bdale Garbee (bdale@gag.com) [120202 15:16]:
> > A. While recognizing the substantial benefits of thorough code review, the
> >    Technical Committee believes the goal of multiarch support in the
> >    Debian wheezy release is sufficiently important as to warrant accepting
> >    the current draft implementation into the archive, even if code review
> >    by the primary dpkg C maintainer cannot be completed in time.  However,
> >    as much review as possible is strongly desired.
> > 
> >    The Technical Committee therefore overrides the decision of the dpkg
> >    maintainer to require complete code review before upload of the
> >    multiarch implementation in dpkg to the Debian archive and sets the
> >    following upload dates:
> > 
> >    February 6th: upload to experimental for general testing
> >    February 20th: upload to unstable
> > 
> >    For each of those deadlines, if no implementation of dpkg with
> >    multiarch support has been uploaded to the archive for that
> >    distribution by that date, Raphaël Hertzog is empowered by the
> >    Technical Committee to upload a version of dpkg with multiarch support
> >    to that distribution.  The upload may be done on or after that date,
> >    when, in his judgement, the dpkg implementation meets the quality
> >    standards expected for a Debian core package in those archive
> >    distributions.
> > 
> >    The Technical Committee strongly encourages anyone with the required
> >    knowledge to review the multiarch implementation proposed for upload
> >    and provide the results of that review to the debian-dpkg list as soon
> >    as possible so that the code can receive as much review as possible and
> >    the results of that review can be incorporated into the code by those
> >    dates.  Similarly, the Technical Committee encourages as broad testing
> >    and review of the experimental implementation as possible so that as
> >    many bugs as possible can be resolved prior to uploading it to
> >    unstable.
> > 
> >    This option requires a 3:1 majority.

And with my vote (and Steves in
http://lists.debian.org/20120205092246.GB15892@virgil.dodds.net ) the
outcome is no longer in doubt, so A is the decision.


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Sun, 05 Feb 2012 10:39:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 05 Feb 2012 10:39:18 GMT) Full text and rfc822 format available.

Message #68 received at 658341@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: Bdale Garbee <bdale@gag.com>
Cc: Stefano Zacchiroli <leader@debian.org>, 658341@bugs.debian.org
Subject: Re: Call for Vote: upload of multi-arch enabled dpkg (in time for wheezy)
Date: Sun, 5 Feb 2012 10:34:59 +0100
* Bdale Garbee (bdale@gag.com) [120202 15:16]:
> A. While recognizing the substantial benefits of thorough code review, the
>    Technical Committee believes the goal of multiarch support in the
>    Debian wheezy release is sufficiently important as to warrant accepting
>    the current draft implementation into the archive, even if code review
>    by the primary dpkg C maintainer cannot be completed in time.  However,
>    as much review as possible is strongly desired.
> 
>    The Technical Committee therefore overrides the decision of the dpkg
>    maintainer to require complete code review before upload of the
>    multiarch implementation in dpkg to the Debian archive and sets the
>    following upload dates:
> 
>    February 6th: upload to experimental for general testing
>    February 20th: upload to unstable
> 
>    For each of those deadlines, if no implementation of dpkg with
>    multiarch support has been uploaded to the archive for that
>    distribution by that date, Raphaël Hertzog is empowered by the
>    Technical Committee to upload a version of dpkg with multiarch support
>    to that distribution.  The upload may be done on or after that date,
>    when, in his judgement, the dpkg implementation meets the quality
>    standards expected for a Debian core package in those archive
>    distributions.
> 
>    The Technical Committee strongly encourages anyone with the required
>    knowledge to review the multiarch implementation proposed for upload
>    and provide the results of that review to the debian-dpkg list as soon
>    as possible so that the code can receive as much review as possible and
>    the results of that review can be incorporated into the code by those
>    dates.  Similarly, the Technical Committee encourages as broad testing
>    and review of the experimental implementation as possible so that as
>    many bugs as possible can be resolved prior to uploading it to
>    unstable.
> 
>    This option requires a 3:1 majority.
> 
> B. The Technical Committee declines to override the decision of the dpkg
>    maintainer to hold the dpkg multiarch implementation until he can
>    finish code review.
> 
> C. Further discussion.

Voting ABC


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Sun, 05 Feb 2012 11:40:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 05 Feb 2012 11:40:08 GMT) Full text and rfc822 format available.

Message #73 received at 658341@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Stefano Zacchiroli <leader@debian.org>, 658341@bugs.debian.org
Cc: Raphael Hertzog <hertzog@debian.org>, Guillem Jover <guillem@debian.org>
Subject: Conclusion: upload multi-arch enabled dpkg (in time for wheezy)
Date: Sun, 05 Feb 2012 12:38:34 +0100
[Message part 1 (text/plain, inline)]
On Thu, 02 Feb 2012 08:16:34 -0700, Bdale Garbee <bdale@gag.com> wrote:
> I therefore call for an immediate vote on the following ballot.

With votes from 7 of 8 committee members, all ranking A as their first
preference, the outcome of this ballot is no longer in doubt, and we have
met the required > 3:1 majority.  

The decision of the committee is:

> A. While recognizing the substantial benefits of thorough code review, the
>    Technical Committee believes the goal of multiarch support in the
>    Debian wheezy release is sufficiently important as to warrant accepting
>    the current draft implementation into the archive, even if code review
>    by the primary dpkg C maintainer cannot be completed in time.  However,
>    as much review as possible is strongly desired.
> 
>    The Technical Committee therefore overrides the decision of the dpkg
>    maintainer to require complete code review before upload of the
>    multiarch implementation in dpkg to the Debian archive and sets the
>    following upload dates:
> 
>    February 6th: upload to experimental for general testing
>    February 20th: upload to unstable
> 
>    For each of those deadlines, if no implementation of dpkg with
>    multiarch support has been uploaded to the archive for that
>    distribution by that date, Raphaël Hertzog is empowered by the
>    Technical Committee to upload a version of dpkg with multiarch support
>    to that distribution.  The upload may be done on or after that date,
>    when, in his judgement, the dpkg implementation meets the quality
>    standards expected for a Debian core package in those archive
>    distributions.
> 
>    The Technical Committee strongly encourages anyone with the required
>    knowledge to review the multiarch implementation proposed for upload
>    and provide the results of that review to the debian-dpkg list as soon
>    as possible so that the code can receive as much review as possible and
>    the results of that review can be incorporated into the code by those
>    dates.  Similarly, the Technical Committee encourages as broad testing
>    and review of the experimental implementation as possible so that as
>    many bugs as possible can be resolved prior to uploading it to
>    unstable.

Thank you again to Russ Allbery for help with the resolution text, and
to my fellow committee members for prompt attention to this matter. 

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Sun, 05 Feb 2012 19:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 05 Feb 2012 19:42:04 GMT) Full text and rfc822 format available.

Message #78 received at 658341@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: debian-ctte@lists.debian.org
Subject: Re: Bug#658341: Call for Vote: upload of multi-arch enabled dpkg (in time for wheezy)
Date: Sun, 5 Feb 2012 01:22:46 -0800
[Message part 1 (text/plain, inline)]
On Thu, Feb 02, 2012 at 08:16:34AM -0700, Bdale Garbee wrote:
> On Thu, 2 Feb 2012 10:08:13 +0100, Stefano Zacchiroli <leader@debian.org> wrote:
> > I hereby submit to your attention the "dpkg multi-arch conflict".
> > I believe the issue is well-known, so I describe it only briefly
> > below;

> I also believe we've had sufficient discussion about this issue, and I
> therefore call for an immediate vote on the following ballot.  My thanks
> to Russ Allbery for help drafting the text.

> A. While recognizing the substantial benefits of thorough code review, the
>    Technical Committee believes the goal of multiarch support in the
>    Debian wheezy release is sufficiently important as to warrant accepting
>    the current draft implementation into the archive, even if code review
>    by the primary dpkg C maintainer cannot be completed in time.  However,
>    as much review as possible is strongly desired.
> 
>    The Technical Committee therefore overrides the decision of the dpkg
>    maintainer to require complete code review before upload of the
>    multiarch implementation in dpkg to the Debian archive and sets the
>    following upload dates:
> 
>    February 6th: upload to experimental for general testing
>    February 20th: upload to unstable
> 
>    For each of those deadlines, if no implementation of dpkg with
>    multiarch support has been uploaded to the archive for that
>    distribution by that date, Raphaël Hertzog is empowered by the
>    Technical Committee to upload a version of dpkg with multiarch support
>    to that distribution.  The upload may be done on or after that date,
>    when, in his judgement, the dpkg implementation meets the quality
>    standards expected for a Debian core package in those archive
>    distributions.
> 
>    The Technical Committee strongly encourages anyone with the required
>    knowledge to review the multiarch implementation proposed for upload
>    and provide the results of that review to the debian-dpkg list as soon
>    as possible so that the code can receive as much review as possible and
>    the results of that review can be incorporated into the code by those
>    dates.  Similarly, the Technical Committee encourages as broad testing
>    and review of the experimental implementation as possible so that as
>    many bugs as possible can be resolved prior to uploading it to
>    unstable.
> 
>    This option requires a 3:1 majority.
> 
> B. The Technical Committee declines to override the decision of the dpkg
>    maintainer to hold the dpkg multiarch implementation until he can
>    finish code review.
> 
> C. Further discussion.

I vote ACB.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Sun, 05 Feb 2012 20:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 05 Feb 2012 20:21:06 GMT) Full text and rfc822 format available.

Message #83 received at 658341@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Stefano Zacchiroli <leader@debian.org>, 658341@bugs.debian.org
Subject: Re: Bug#658341: Conclusion: upload multi-arch enabled dpkg (in time for wheezy)
Date: Sun, 05 Feb 2012 12:18:46 -0800
Bdale Garbee <bdale@gag.com> writes:
> On Thu, 02 Feb 2012 08:16:34 -0700, Bdale Garbee <bdale@gag.com> wrote:

>> I therefore call for an immediate vote on the following ballot.

> With votes from 7 of 8 committee members, all ranking A as their first
> preference, the outcome of this ballot is no longer in doubt, and we
> have met the required > 3:1 majority.

I think at least some of this should go to debian-devel-announce.  I'm not
sure if we should send the entire ruling there, or select bits and pieces
of it, but at least the testing part probably needs to reach a broader
audience.

Do we have a past precedent for how we handle publicizing tech-ctte
decisions?

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Sun, 05 Feb 2012 22:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 05 Feb 2012 22:45:07 GMT) Full text and rfc822 format available.

Message #88 received at 658341@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: 658341@bugs.debian.org
Subject: Re: Bug#658341: Conclusion: upload multi-arch enabled dpkg (in time for wheezy)
Date: Sun, 5 Feb 2012 23:43:15 +0100
[Message part 1 (text/plain, inline)]
On Sun, Feb 05, 2012 at 12:18:46PM -0800, Russ Allbery wrote:
> I think at least some of this should go to debian-devel-announce.  I'm not
> sure if we should send the entire ruling there, or select bits and pieces
> of it, but at least the testing part probably needs to reach a broader
> audience.
>
> Do we have a past precedent for how we handle publicizing tech-ctte
> decisions?

FWIW, I'll surely mention this in my next "bits from the DPL" mail, but
it won't happen before early March. Also, I expect that when the upload
happens [1] the uploader to send a wide call for testing to d-d-a. This
is just to say that I don't think we should fear people will overlook
the practical impact of the decisions.

However, the idea of systematically announcing tech-ctte decisions to
d-d-a (hinted by your last paragraph) seems a very good one to me.
Please do :-)

Cheers.

[1] http://lists.debian.org/debian-dpkg/2012/02/msg00010.html
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Sun, 05 Feb 2012 23:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 05 Feb 2012 23:45:07 GMT) Full text and rfc822 format available.

Message #93 received at 658341@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Russ Allbery <rra@debian.org>, 658341@bugs.debian.org, Stefano Zacchiroli <leader@debian.org>, 658341@bugs.debian.org
Subject: Re: Bug#658341: Conclusion: upload multi-arch enabled dpkg (in time for wheezy)
Date: Mon, 06 Feb 2012 00:31:49 +0100
[Message part 1 (text/plain, inline)]
On Sun, 05 Feb 2012 12:18:46 -0800, Russ Allbery <rra@debian.org> wrote:
> Do we have a past precedent for how we handle publicizing tech-ctte
> decisions?

Not really.

A note from the package maintainers calling for help testing would seem
most appropriate to me, actually.

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Sun, 05 Feb 2012 23:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sun, 05 Feb 2012 23:45:09 GMT) Full text and rfc822 format available.

Message #98 received at 658341@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Bdale Garbee <bdale@gag.com>
Cc: 658341@bugs.debian.org, Stefano Zacchiroli <leader@debian.org>
Subject: Re: Bug#658341: Conclusion: upload multi-arch enabled dpkg (in time for wheezy)
Date: Sun, 05 Feb 2012 15:44:49 -0800
Bdale Garbee <bdale@gag.com> writes:
> On Sun, 05 Feb 2012 12:18:46 -0800, Russ Allbery <rra@debian.org> wrote:

>> Do we have a past precedent for how we handle publicizing tech-ctte
>> decisions?

> Not really.

> A note from the package maintainers calling for help testing would seem
> most appropriate to me, actually.

Yeah, that makes sense.  Maybe we should leave that for Raphael to handle.
Although separately it does seem like it would be a good idea to have a
standard procedure for publicizing decisions as we make them.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Mon, 06 Feb 2012 05:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Mon, 06 Feb 2012 05:30:07 GMT) Full text and rfc822 format available.

Message #103 received at 658341@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Russ Allbery <rra@debian.org>
Cc: 658341@bugs.debian.org, Stefano Zacchiroli <leader@debian.org>
Subject: Re: Bug#658341: Conclusion: upload multi-arch enabled dpkg (in time for wheezy)
Date: Mon, 06 Feb 2012 06:25:55 +0100
[Message part 1 (text/plain, inline)]
On Sun, 05 Feb 2012 15:44:49 -0800, Russ Allbery <rra@debian.org> wrote:
> Bdale Garbee <bdale@gag.com> writes:
> > On Sun, 05 Feb 2012 12:18:46 -0800, Russ Allbery <rra@debian.org> wrote:
> 
> >> Do we have a past precedent for how we handle publicizing tech-ctte
> >> decisions?
> 
> > Not really.
> 
> > A note from the package maintainers calling for help testing would seem
> > most appropriate to me, actually.
> 
> Yeah, that makes sense.  Maybe we should leave that for Raphael to handle.
> Although separately it does seem like it would be a good idea to have a
> standard procedure for publicizing decisions as we make them.

They tend to get recorded on our web page, but I realize that's not the
same thing.

Bdale
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Sat, 25 Feb 2012 00:33:04 GMT) Full text and rfc822 format available.

Notification sent to Stefano Zacchiroli <leader@debian.org>:
Bug acknowledged by developer. (Sat, 25 Feb 2012 00:33:04 GMT) Full text and rfc822 format available.

Message #108 received at 658341-done@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 658341-done@bugs.debian.org
Subject: Re: Bug#658341: Conclusion: upload multi-arch enabled dpkg (in time for wheezy)
Date: Fri, 24 Feb 2012 16:29:39 -0800
On Sun, 05 Feb 2012, Bdale Garbee wrote:
> On Thu, 02 Feb 2012 08:16:34 -0700, Bdale Garbee <bdale@gag.com> wrote:
> > I therefore call for an immediate vote on the following ballot.
> 
> With votes from 7 of 8 committee members, all ranking A as their first
> preference, the outcome of this ballot is no longer in doubt, and we have
> met the required > 3:1 majority.  

Marking this bug as done; see
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=658341#73 for the
final decision.
 

Don Armstrong

-- 
I now know how retro SCOs OSes are. Riotous, riotous stuff. How they
had the ya-yas to declare Linux an infant OS in need of their IP is
beyond me. Upcoming features? PAM. files larger than 2 gigs. NFS over
TCP. The 80's called, they want their features back.
 -- Compactable Dave http://www3.sympatico.ca/dcarpeneto/sco.html

http://www.donarmstrong.com              http://rzlab.ucr.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Sat, 03 Mar 2012 03:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 03 Mar 2012 03:09:07 GMT) Full text and rfc822 format available.

Message #113 received at 658341@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Stefano Zacchiroli <leader@debian.org>, 658341@bugs.debian.org
Subject: Re: Bug#658341: upload of multi-arch enabled dpkg (in time for wheezy)
Date: Sat, 3 Mar 2012 04:05:44 +0100
On Thu, 2012-02-02 at 19:19:49 +0100, Stefano Zacchiroli wrote:
> > >    [5] http://lists.debian.org/debian-dpkg/2011/10/msg00060.html

[ I replied to that now. ]

> Your wording is indeed more appropriate, but it's also incomplete. In
> Debian nobody could be held responsible for not completing some work in
> a given time frame; nor could anybody be forced to work for the Project.
> At the same time, the inability to complete some work should not be used
> to block the work of others. Let's call this "stalling".
> 
> I believe you've been stalling --- with NACKs first and now with an NMU
> revert --- the work of a co-maintainer of yours and also of the entire
> Project, who is trying to reach a legitimate release goal.
> 
> I'm convinced that such an attitude actively harms Debian and as such
> should not be tolerated. That's why I've asked for tech-ctte technical
> judgement on your decision to postpone the upload in wait of full code
> review.

If by stalling you mean, having to work on an unpleasant, distressful
and annoying environment, when supposedly doing it for fun, while still
managing to motivate myself enough to make progress by doing design,
implementation, review and cleanup work; not merging code I deem
technically not acceptable, regardless of the provenance (for which I
don't think I've ever discriminated on, as can be seen from the amount
of unmerged branches on my own repo, because they are not ready yet...)
on a project like dpkg, which has far reaching repercusion compatibility
wise, where we might have to live with issues forever or where package
maintainers might need to do useless fixup work due to the consequences
of those issues, on the whole distribution, then I guess, sure, guilty
as charged...

guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#658341; Package tech-ctte. (Sat, 03 Mar 2012 08:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. (Sat, 03 Mar 2012 08:12:04 GMT) Full text and rfc822 format available.

Message #118 received at 658341@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: debian-dpkg@lists.debian.org, Guillem Jover <guillem@debian.org>
Cc: 658341@bugs.debian.org
Subject: Re: Multiarch support in dpkg — really in time for wheezy?
Date: Sat, 3 Mar 2012 09:09:18 +0100
[Message part 1 (text/plain, inline)]
On Sat, Mar 03, 2012 at 03:58:42AM +0100, Guillem Jover wrote:
> [ Replying to this now, because it appears some people seem to think
>   mails that go unanswered are considered as accepted facts... ]

So be it.

> > work is also considered ready enough by other dpkg co-maintainers, by
> > the Release Team, and by various porters, which have all asked multiple
> > times to have that work in the Debian archive.
> 
> Claims by people who during all this time, when this has supposedly been
> considered such a priority and so important to the point of bringing
> it to a confrontational body like the tech-ctte, have been either
> unable or unwilling to review that code and find the problems it had.
> I still have to see a single code review on the list...

The accusation part of this is not for me to be picked up.

But that's not the point. The point is whether you did get to decide
that thorough code review had to be completed before uploading, even
only to experimental. Code review is *a* way to achieve code quality, it
is not the *only* way. User testing is another one.

> You keep mentioning this ralatively new “Debian is a do-ocracy” (which
> I think it's been promoted mostly by you?) when it seems to me the
> commonly held motto has always been “Debian is a meritocracy”. In any
> case, more often than not whenever I've seen that being used, it seems
> like an excuse to justify unsound technical decisions, or poor work.

I've used the term a lot, yes. But I don't think I've invented it in the
first place. Anyhow the difference among the two is crucial here. The
way I see it --- and you're free to disregard of course, we're entirely
in the realm of opinions here --- is that in a meritocracy you get to
"command" on the basis of past, acquired rights.  In a do-ocracy you
need to keep on maintaining those rights by showing you're doing
something. Blocking others is not enough to maintain the right to
"command".

> > [...] (And TBH the thought of you hurrying up now in doing such a
> > work is worrisome in its own right.)
> 
> So, you mean that doing code review and cleanup is worse than not doing
> any at all... ok.

Uh? Non sequitur. My quoted text above meant that the idea one is doing
code review in a hurry is not as reassuring as the idea of one doing
code review more calmly.

> If rushing things out and being sloppy or merging technically unsound
> code is being a team player, then count me out.

I think Debian has now decided, using the most appropriate means, that
uploading to experimental at this stage wasn't really "rushing things
out". So let's agree to disagree.


On Sat, Mar 03, 2012 at 04:05:44AM +0100, Guillem Jover wrote:
> > I'm convinced that such an attitude actively harms Debian and as such
> > should not be tolerated. That's why I've asked for tech-ctte technical
> > judgement on your decision to postpone the upload in wait of full code
> > review.
> 
> If by stalling you mean, having to work on an unpleasant, distressful
> and annoying environment, when supposedly doing it for fun, while still
> managing to motivate myself enough to make progress by doing design,
> implementation, review and cleanup work; not merging code I deem
> technically not acceptable, regardless of the provenance (for which I
> don't think I've ever discriminated on, as can be seen from the amount
> of unmerged branches on my own repo, because they are not ready yet...)
> on a project like dpkg, which has far reaching repercusion compatibility
> wise, where we might have to live with issues forever or where package
> maintainers might need to do useless fixup work due to the consequences
> of those issues, on the whole distribution, then I guess, sure, guilty
> as charged...

I'm sorry Guillem, but you will not convince me with this side argument.
I'm terribly sorry for the stress you went through, I really am and I
wish nobody in Debian goes through something like that due to Debian
every again. But the above is not the point. The point is that you
picked the rules of the game ("code review must be") and actively
blocked others to participate in the game.

You may even pretend, here and now, that you would have welcomed others
to participate in the code review, but that is not the impression that
you gave for the past year. You've frequently worked on a private branch
and referring on -dpkg to changes made in it that have not been pushed
to any public place for a long time. This seems to have happened also
for the last "code review" after the experimental upload. How could you
possibly expect that attitude to encourage other to participate in code
review?

Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:42:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:40:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.